/**************************************************************************
                    Copyright  1991-2 Apple Computer Inc
                          All Rights Reserved   
						Authors: William Cook, 
					Donn Denman, and Warren Harris
							
						AEUserTermTypes.h

// equates conserning the AEUT resource format.

*****************************************************************************/

#ifndef __AEUserTermTypes__
#define __AEUserTermTypes__

#define kAEUserTerminology			'aeut'
#define kAETerminologyExtension		'aete'
#define kAEScriptingSizeResource	'scsz'

#define kAEUTOptional		15		// if something is optional.
#define kAEUTlistOfItems	14		// if property or reply is a list.
#define kAEUTEnumerated		13		// if property or reply is of an enumerated type.
#define kAEUTReadWrite		12		// if property is writable.
#define kAEUTChangesState	12		// if an event changes state.

#define kAEUTFeminine		2		// if a term is feminine gender.
#define kAEUTMasculine		1		// if a term is masculine gender.
#define kAEUTPlural			0		// if a term is plural.

struct TScriptingSizeResource {
	short			scriptingSizeFlags;
	unsigned long	minStackSize;
	unsigned long	preferredStackSize;
	unsigned long	maxStackSize;
	unsigned long	minHeapSize;
	unsigned long	preferredHeapSize;
	unsigned long	maxHeapSize;
};

#define kReadExtensionTermsMask		(1<<15)

#endif
