////////////////////////////////////////////////////////////////////////////////
// OPEN SCRIPTING ARCHITECTURE: Component Implementor's Interface
////////////////////////////////////////////////////////////////////////////////
// Copyright  1992 Apple Computer, Inc. All rights reserved.
// Authors: Jens Alfke, William Cook, Donn Denman, and Warren Harris
////////////////////////////////////////////////////////////////////////////////

#ifndef __OSAComp__
#define __OSAComp__

#ifndef __OSA__
#include "OSA.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

////////////////////////////////////////////////////////////////////////////////
// Types and Constants
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Routines for Associating a Storage Type with a Script Data Handle 
////////////////////////////////////////////////////////////////////////////////

pascal OSErr
OSAGetStorageType(Handle scriptData, DescType* type);

pascal OSErr
OSAAddStorageType(Handle scriptData, DescType type);

pascal OSErr
OSARemoveStorageType(Handle scriptData);

////////////////////////////////////////////////////////////////////////////////
#ifdef __cplusplus
}
#endif

#endif
//////////////////////////////////////////////////////////////////////////////////////////////////////
